org.eclipse.handly.ui.callhierarchy

## Enum LocationTableLabelProvider.Column

- java.lang.Object
- - java.lang.Enum<LocationTableLabelProvider.Column>
  - - org.eclipse.handly.ui.callhierarchy.LocationTableLabelProvider.Column

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LocationTableLabelProvider.Column>
  Enclosing class:
    LocationTableLabelProvider

      protected static enum LocationTableLabelProvider.Column
      extends java.lang.Enum<LocationTableLabelProvider.Column>

  Enumeration of the columns in the call location table.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ICON` The icon column.
    `INFO` The call info column.
    `LINE` The line number column.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocationTableLabelProvider.Column` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LocationTableLabelProvider.Column[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ICON

          public static final LocationTableLabelProvider.Column ICON

      The icon column.

    - #### LINE

          public static final LocationTableLabelProvider.Column LINE

      The line number column.

    - #### INFO

          public static final LocationTableLabelProvider.Column INFO

      The call info column.

  - ### Method Detail

    - #### values

          public static LocationTableLabelProvider.Column[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocationTableLabelProvider.Column c : LocationTableLabelProvider.Column.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocationTableLabelProvider.Column valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0